#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    cin >> n;

    vector<int> niz(2 * n);

    int k = 0;
    int l = 0;
    for (int i = 1; i <= 2 * n; i++) {
        if (i % 2 != 0) {
            // cout << i - l << " ";
            niz[i - 1] = i - l;
            l++;
        }
        else {
            // cout << (2 * n) - k << " ";
            niz[i - 1] = (2 * n) - k;
            k++;
        }
    }

    for (int i = 0; i < n; i++) cout << niz[i] << " ";
    cout << endl;
    for (int i = n; i < 2 * n; i++) cout << niz[i] << " ";


}